<?php
namespace Services;

use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class ValidarReceitasRecursivoVersionamento extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'UTILI_RECEITA_MENUGRID') {
		parent::__construct($connection, $procedureName);
	}

	public function executeProcedure($P_CDFILIPROC, $P_CDRECEITA, $P_IDVIGENCIA, $P_NRORG, $P_CDOPERADOR, $P_MENU_EXPIRADO) {

		$this->addParam(new Param('P_CDFILIPROC', Param::PARAM_INPUT, $P_CDFILIPROC));
		$this->addParam(new Param('P_CDRECEITA', Param::PARAM_INPUT, $P_CDRECEITA));
		$this->addParam(new Param('P_IDVIGENCIA', Param::PARAM_INPUT, $P_IDVIGENCIA));
		$this->addParam(new Param('P_NRORG', Param::PARAM_INPUT, $P_NRORG));
		$this->addParam(new Param('P_CDOPERADOR', Param::PARAM_INPUT, $P_CDOPERADOR));
		$this->addParam(new Param('P_MENU_EXPIRADO', Param::PARAM_INPUT, $P_MENU_EXPIRADO));
	    $this->addParam(new Param('P_NRLISTAERROS', Param::PARAM_OUTPUT, null, null, 20));
	    $result = $this->execute();
		// clear params
		$this->params = array();
		return $result;
	}
}